Skip to main content

Building PhoneME Advanced for WinCE

5 replies [Last post]
sucharita_p
Offline
Joined: 2009-10-15
Points: 0

Hi All,

I am trying to build PhoneME for win32-arm-pocketpc.
I have followed exact steps given at:http://wiki.java.net/bin/view/Mobileandembedded/PhoneMEAdvancedGSGWinMobile

I am unable to build the foundation profile.
Here is the error I see on cygwin:
$ sh < build-fp.sh
'. Stop. No rule to make target `

admn@admn-PC /cygdrive/c/eaft/wince/jvm/phoneme_advanced_mr2/cdc/build/win32-arm
-pocketpc

Any help would be much appreciated.
I am building on Vista (VS2008), please let me know if this makes any difference.

Thanks!

RESPONSE:

Message was edited by: sucharita_p

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
sucharita_p
Offline
Joined: 2009-10-15
Points: 0

for some reason the post doesn't seem to be complete ... here is the rest of the question:

'. Stop. No rule to make target `

admn@admn-PC /cygdrive/c/eaft/wince/jvm/phoneme_advanced_mr2/cdc/build/win32-arm
-pocketpc

Any help would be much appreciated.
I am building on Vista (VS2008), please let me know if this makes any difference.

Thanks!

davyp
Offline
Joined: 2007-01-03
Points: 0

The win32-arm-pocketpc targets PocketPC 2002 and requires old compilers and SDKs. You
could try /cygdrive/c/eaft/wince/jvm/phoneme_advanced_mr2/cdc/build/win32-arm-wm5
to target WM5 instead.

Furthermore, the build and configuration scripts assume you use VS2005 rather than VS2008,
so you may need to change some configuration files in cdc/build/win32/wm5_defs.mk as well.

Also set the following flags to figure out which steps are failing when you follow the script at
http://www.cs.kuleuven.be/~davy/phoneme/?q=node/8 to build the foundation profile.

export USE_VERBOSE_MAKE=true
export VERBOSE_BUILD=true

Cheers
Davy

sucharita_p
Offline
Joined: 2009-10-15
Points: 0

Thanks Davy! It did help to get right versions to build.
However, I could not get JSR 184 source.
The PhoneME Advanced build claims that there is an implementation of JSR 184, I could not find the source for the same and thus am unable to run any 3D.

Is there any support for JSR 184 in PhoneME at all?
Please let me know.

Thanks,
Sucharita

davyp
Offline
Joined: 2007-01-03
Points: 0

It is indeed mentioned on the website, but as far as I know there is no (open source) JSR 184
available from the phoneME project. At least, I have not found one in the phoneme subversion
repository at https://phoneme.dev.java.net/source/browse/phoneme/components/ or in the zip
archives at https://phoneme.dev.java.net/downloads_page.html. Even the Java ME SDK 3.0
does not mention support for this JSR.

The phoneME Advanced website states "While the final feature set associated with phoneME
Advanced MR2 is still being determined, the primary release objectives associated with
phoneME Advanced MR2 include ...". Being a release objective does not mean it is already
implemented? Perhaps someone of the phoneME project leads can clarify this.

The only project that comes close to a JSR 184 implementation is the MIDPath project at
http://midpath.thenesis.org, but it will require some porting to get it working on phoneME.

Davy